const express = require("express");
const { join: joinPath } = require("path");

const app = express();

app.use(express.json());

app.use(express.static("public"));

app.get("/data.json", (_req, res) => {
  res.sendFile(joinPath(__dirname, "build/data.json"));
});

app.listen(
      Number(process.env["PORT"] ?? 8080),
      function () {
        return console.log(`listening on ${this.address().port}`);
      }
);
